Package ghidra.app.util.demangler

# Interface Demangler

All Superinterfaces:
  `ExtensionPoint`

public interface Demangler extends ExtensionPoint
NOTE: ALL DEMANGLER CLASSES MUST END IN "Demangler". If not, the ClassSearcher will not find them.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `canDemangle(Program program)`
  `default DemanglerOptions`
  `createDefaultOptions()`
  Creates default options for this particular demangler
  `default DemangledObject`
  `demangle(String mangled)`
  Attempts to demangle the given string using the default options (`createDefaultOptions()`
  `DemangledObject`
  `demangle(String mangled, boolean demangleOnlyKnownPatterns)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  see above
  `DemangledObject`
  `demangle(String mangled, DemanglerOptions options)`
  Attempts to demangle the given string using the given options

- ## Method Details

  - ### canDemangle

    boolean canDemangle(Program program)

  - ### demangle

    @Deprecated(since="9.2", forRemoval=true) DemangledObject demangle(String mangled, boolean demangleOnlyKnownPatterns) throws DemangledException
    Deprecated, for removal: This API element is subject to removal in a future version.
    see above
    Deprecated. Use `demangle(String)` or `demangle(String, DemanglerOptions)`.
    Parameters:
      `mangled` - the mangled string
      `demangleOnlyKnownPatterns` - true signals to avoid demangling strings that do not fit known demangled patterns for this demangler
    Returns:
      the result
    Throws:
      `DemangledException` - if the string cannot be demangled

  - ### demangle

    default DemangledObject demangle(String mangled) throws DemangledException
    Attempts to demangle the given string using the default options (`createDefaultOptions()`
    Parameters:
      `mangled` - the mangled string
    Returns:
      the result
    Throws:
      `DemangledException` - if the string cannot be demangled

  - ### demangle

    DemangledObject demangle(String mangled, DemanglerOptions options) throws DemangledException
    Attempts to demangle the given string using the given options
    Parameters:
      `mangled` - the mangled string
      `options` - the options
    Returns:
      the result
    Throws:
      `DemangledException` - if the string cannot be demangled

  - ### createDefaultOptions

    default DemanglerOptions createDefaultOptions()
    Creates default options for this particular demangler
    Returns:
      the options